diff -u --recursive --new-file isode-8.0/jump/jump.vars isode-8.0-linux/jump/jump.vars
--- isode-8.0/jump/jump.vars	Thu Jan  1 01:00:00 1970
+++ isode-8.0-linux/jump/jump.vars	Thu Aug 26 15:46:06 1993
@@ -0,0 +1,325 @@
+00000018 D __ZptrtabRONOT       libisode       RONOT_tables
+00000024 D __ZRONOT_mod         libisode       RONOT_tables
+00000004 D _ronotversion        libisode       ronotvrsn
+00000074 D __ZptrtabROS         libisode       ROS_tables
+00000024 D __ZROS_mod           libisode       ROS_tables
+00000004 C _rosap_operation     libisode       ROS_tables
+00000004 C _rosap_error         libisode       ROS_tables
+00000004 C _rosap_type          libisode       ROS_tables
+00000004 C _rosap_id            libisode       ROS_tables
+00000004 C _rosap_null          libisode       ROS_tables
+00000004 C _rosap_linked        libisode       ROS_tables
+00000004 C _rosap_lnull         libisode       ROS_tables
+00000004 C _rosap_data          libisode       ROS_tables
+00000004 C _rosap_reason        libisode       ROS_tables
+00000004 D _rosapversion        libisode       rosapvrsn
+0000008c D __ZptrtabRTS         libisode       RTS_tables
+00000024 D __ZRTS_mod           libisode       RTS_tables
+00000004 C _rtsap_priority      libisode       RTS_tables
+00000004 D _rtsapversion        libisode       rtsapvrsn
+00000004 D _acsap_lookup        libisode       acsapdse
+000000d8 D __ZptrtabACS         libisode       ACS_tables
+00000024 D __ZACS_mod           libisode       ACS_tables
+00000068 D __ZptrtabOACS        libisode       OACS_tables
+00000024 D __ZOACS_mod          libisode       OACS_tables
+00000014 D __ZptrtabDSE         libisode       DSE_tables
+00000024 D __ZDSE_mod           libisode       DSE_tables
+00000078 D __ZptrtabDASE        libisode       DASE_tables
+00000024 D __ZDASE_mod          libisode       DASE_tables
+00000004 D _acsapversion        libisode       acsapvrsn
+00000018 D _preq_pairs          libisode       psaprovider
+00000060 D _sreq_pairs          libisode       psaprovider
+0000013c D __ZptrtabPS          libisode       PS_tables
+00000024 D __ZPS_mod            libisode       PS_tables
+00000004 D _psap2version        libisode       psap2vrsn
+00000004 D _NullParm            libisode       UPEPY-52
+00000004 D _xlevel              libisode       prnt
+00000004 D _tabed               libisode       prnt
+00000004 D _xpushed             libisode       prnt
+00000004 D _vfnx                libisode       vprint
+00000004 D _vfp                 libisode       vprint
+00000060 D __ZptrtabUNIV        libisode       UNIV_tables
+00000024 D __ZUNIV_mod          libisode       UNIV_tables
+0000005c D _pepy_strings        libisode       pepsy_str
+00000400 D _PY_pepy             libisode       py_advise
+00000030 D _dmsize              libisode       gtime
+00000004 C _Len                 libisode       pe2qb_f
+00000004 C _Qcp                 libisode       pe2qb_f
+00000004 C _Ecp                 libisode       pe2qb_f
+00000004 D _pe_list             libisode       pe_alloc
+00000004 C _pe_allocs           libisode       pe_alloc
+00000004 C _pe_frees            libisode       pe_alloc
+00000004 C _pe_most             libisode       pe_alloc
+00000010 D _pe_classlist        libisode       pl_tables
+00000004 D _pe_maxclass         libisode       pl_tables
+00000074 D _pe_univlist         libisode       pl_tables
+00000004 D _pe_maxuniv          libisode       pl_tables
+00000004 D _pe_maxappl          libisode       pl_tables
+00000004 D _pe_applist          libisode       pl_tables
+00000004 D _pe_maxpriv          libisode       pl_tables
+00000004 D _pe_privlist         libisode       pl_tables
+00000004 D _ps_len_strategy     libisode       ps_get_abs
+00000004 D _Byteno              libisode       qbuf2pe_f
+00000004 D _Qbrefs              libisode       qbuf2pe_f
+00000004 D _Hqb                 libisode       qbuf2pe_f
+00000004 D _Fqb                 libisode       qbuf2pe_f
+00000004 D _Qb                  libisode       qbuf2pe_f
+00000004 D _psapversion         libisode       psapvrsn
+00000004 D _ssapversion         libisode       ssapvrsn
+00000004 D __listen_opts        libisode       tsaplisten
+00000004 D _tsapversion         libisode       tsapvrsn
+00000004 D _direntversion       libisode       direntvrsn
+00000004 D _xselect_blocking_on_intr libisode       select
+00000004 D __iosignals_set      libisode       signals
+00000080 D _hex2nib             libisode       implode
+00000004 D _isodename           libisode       tailor
+00000004 D _isodebinpath        libisode       tailor
+00000004 D _isodesbinpath       libisode       tailor
+00000004 D _isodetcpath         libisode       tailor
+00000004 D _isodelogpath        libisode       tailor
+00000004 D __tailor_logging_only libisode       tailor
+00000020 D __compat_log         libisode       tailor
+00000004 D _compat_log          libisode       tailor
+00000020 D __addr_log           libisode       tailor
+00000004 D _addr_log            libisode       tailor
+00000020 D __tsap_log           libisode       tailor
+00000004 D _tsap_log            libisode       tailor
+00000020 D __ssap_log           libisode       tailor
+00000004 D _ssap_log            libisode       tailor
+00000020 D __psap_log           libisode       tailor
+00000004 D _psap_log            libisode       tailor
+00000020 D __psap2_log          libisode       tailor
+00000004 D _psap2_log           libisode       tailor
+00000020 D __acsap_log          libisode       tailor
+00000004 D _acsap_log           libisode       tailor
+00000020 D __rtsap_log          libisode       tailor
+00000004 D _rtsap_log           libisode       tailor
+00000020 D __rosap_log          libisode       tailor
+00000004 D _rosap_log           libisode       tailor
+00000004 D _ts_stacks           libisode       tailor
+000002a8 D _ts_interim          libisode       tailor
+00000004 D _ts_comm_nsap_default libisode       tailor
+00000004 D _ts_comm_x25_default libisode       tailor
+00000004 D _ts_comm_tcp_default libisode       tailor
+00000004 D _tsb_default_address libisode       tailor
+00000004 D _local_nsap          libisode       tailor
+00000004 D _nsap_default_stack  libisode       tailor
+00000004 D _ses_ab_timer        libisode       tailor
+00000004 D _ses_dn_timer        libisode       tailor
+00000004 D _ses_rf_timer        libisode       tailor
+00000004 D _ns_enabled          libisode       tailor
+00000004 D _ns_address          libisode       tailor
+00000044 C _ts_communities      libisode       tailor
+00000044 C _tsb_addresses       libisode       tailor
+00000044 C _tsb_communities     libisode       tailor
+00000100 D _chrcnv              libisode       chrcnv
+00000100 D _nochrcnv            libisode       nochrcnv
+00000004 D _compatversion       libisode       compatvrsn
+00000004 D _isodeversion        libisode       isodevrsn
+00000004 D _dsapversion         libdsap        dsapvrsn
+00000044 D __ZptrtabIF          libdsap        IF_tables
+00000024 D __ZIF_mod            libdsap        IF_tables
+00000038 D __ZptrtabThorn       libdsap        Thorn_tables
+00000024 D __ZThorn_mod         libdsap        Thorn_tables
+00000088 D __ZptrtabAF          libdsap        AF_tables
+00000024 D __ZAF_mod            libdsap        AF_tables
+00000124 D __ZptrtabDO          libdsap        DO_tables
+00000024 D __ZDO_mod            libdsap        DO_tables
+00000284 D __ZptrtabDAS         libdsap        DAS_tables
+00000024 D __ZDAS_mod           libdsap        DAS_tables
+0000017c D __ZptrtabQuipu       libdsap        Quipu_tables
+00000024 D __ZQuipu_mod         libdsap        Quipu_tables
+00000074 D __ZptrtabSA          libdsap        SA_tables
+00000024 D __ZSA_mod            libdsap        SA_tables
+0000007c D __ZptrtabNRS         libdsap        NRS_tables
+00000024 D __ZNRS_mod           libdsap        NRS_tables
+00000004 D _x500asversion       libdsap        x500asvrsn
+00000014 D _acl_sel             libdsap        acl
+00000004 C _t61_flag            libdsap        attrv
+00000004 C _crypt_flag          libdsap        attrv
+00000004 D _mydsadn             libdsap        ca
+00000004 C _dsa_dead            libdsap        ds_error
+00000004 D _NumEntries          libdsap        oid
+00000004 D _attrNumEntries      libdsap        oid
+00000004 D _ocNumEntries        libdsap        oid
+00000008 D _attr_index          libdsap        oid
+00000004 D _oc_load             libdsap        oid
+00000004 D _oc_macro_add        libdsap        oid
+00000004 C _f_table             libdsap        oid
+000012c0 C _OIDTable            libdsap        oid
+00001770 C _attrOIDTable        libdsap        oid
+000020d0 C _ocOIDTable          libdsap        oid
+00000004 D _NumMacro            libdsap        oid2
+0000a640 C _macro               libdsap        oid2
+00000004 D _print_parse_errors  libdsap        parse_error
+00000004 D _parse_status        libdsap        parse_error
+00000004 D _opt                 libdsap        parse_error
+00000004 D _parse_line          libdsap        parse_error
+00000004 D _acl_fn              libdsap        util
+00000004 D _parse_file          libdsap        file_print
+00000004 D _parse_rdn           libdsap        file_print
+00000004 C _file_attr_length    libdsap        file_enc
+00000004 D _avs_count           libdsap        attrt_print
+00000004 C _last_at             libdsap        attrt_print
+00000004 D _inherit_sntx        libdsap        as_print
+00000004 D _oc_avsprint         libdsap        avs_print
+00000004 D _oc_sntx             libdsap        avs_str
+00000004 D _oc_hier             libdsap        avs_str
+00000004 D _acl_sntx            libdsap        avs_str
+00000004 D _merge_acl           libdsap        avs_str
+00000004 D _ufn_indent          libdsap        dn_print
+00000004 D _syntax_dn           libdsap        dn_str
+00000004 D _ch_set              libdsap        string
+00000004 D _postal_indent       libdsap        post
+00000004 D _sizelimit           libdsap        conf
+00000004 D _timelimit           libdsap        conf
+00000004 D _oidtable            libdsap        conf
+00000004 D _tailfile            libdsap        conf
+00000004 D _isotailor           libdsap        conf
+00000004 D _dsa_address         libdsap        conf
+00000004 D _myname              libdsap        conf
+00000004 D _local_dit           libdsap        conf
+00000004 D _dishinit            libdsap        conf
+00000004 D _cache_timeout       libdsap        conf
+00000004 D _log_dsap            libdsap        conf
+00000004 D _log_stat            libdsap        conf
+00000004 D _oidformat           libdsap        conf
+00000004 D _mem_heap            libdsap        conf
+00000004 D _dsaoidtable         libdsap        conf
+00000004 D _dsatailfile         libdsap        conf
+00000004 D _treedir             libdsap        conf
+00000004 D _no_last_mod         libdsap        conf
+00000004 D _startup_update      libdsap        conf
+00000004 D _search_level        libdsap        conf
+00000004 D _read_only           libdsap        conf
+00000004 D _admin_size          libdsap        conf
+00000004 D _admin_time          libdsap        conf
+00000004 D _conn_timeout        libdsap        conf
+00000004 D _nsap_timeout        libdsap        conf
+00000004 D _slave_timeout       libdsap        conf
+00000004 D _retry_timeout       libdsap        conf
+00000004 D _watchdog_time       libdsap        conf
+00000004 D _watchdog_delta      libdsap        conf
+00000004 D _dsa_mode            libdsap        conf
+00000004 D _quipu_faststart     libdsap        conf
+00000004 C _dsap_id             libdsap        conf
+00000004 C _dsap_ad             libdsap        conf
+00000004 D _dsap_usage          libdsap        tai_args
+00000004 D _options             libdsap        tai_args
+00000004 D _list_top            libdsap        cache
+00000004 D _current_entry       libdsap        cache
+00000004 D _current_dn          libdsap        cache
+00000004 D _unrav_fn            libdsap        cache
+00000004 D _schema_fn           libdsap        cache
+00000004 C _at_alias            libdsap        entry
+00000004 C _at_objectclass      libdsap        entry
+00000004 D _database_root       libdsap        parse
+00000004 D _local_master_size   libdsap        parse
+00000004 D _local_slave_size    libdsap        parse
+00000004 D _local_cache_size    libdsap        parse
+00000004 C _savefile            libdsap        parse
+00000004 D _ufn_notify          libdsap        ufn_parse
+00000004 D _ufn_flags           libdsap        ufn_parse
+00000004 D _ufnas               libdsap        ufn_parse
+00000004 D _ufn_abort           libdsap        ufn_parse
+00000004 D _ufn_bad_dsa         libdsap        ufn_parse
+00000004 D _ufn_partials        libdsap        ufn_parse
+00000004 C _at_OrgUnit          libdsap        ufn_parse
+00000004 C _at_Organisation     libdsap        ufn_parse
+00000004 C _at_Locality         libdsap        ufn_parse
+00000004 C _at_CountryName      libdsap        ufn_parse
+00000004 C _at_FriendlyCountryName libdsap        ufn_parse
+00000004 C _at_CommonName       libdsap        ufn_parse
+00000004 C _at_Surname          libdsap        ufn_parse
+00000004 C _at_Userid           libdsap        ufn_parse
+00000004 C _at_ObjectClass      libdsap        ufn_parse
+00000004 D _chase_flag          libdsap        cstrings
+00000004 D _result_sequence     libdsap        service
+00000004 D _current_sequence    libdsap        service
+00000004 D _top_sequence        libdsap        service
+00000004 C _copy_flag           libdsap        service
+00000004 D _dsap_security       libdsap        security
+00000004 C _turbo_index_types   libdsap        turbo_index
+00000004 C _turbo_index_num     libdsap        turbo_index
+00000004 C _subtree_index       libdsap        turbo_index
+00000004 C _sibling_index       libdsap        turbo_index
+00000004 C _optimized_only      libdsap        turbo_index
+00000004 C _at_certificate      libdsap        attribute
+00000004 C _at_p_password       libdsap        attribute
+00000004 C _at_password         libdsap        attribute
+00000004 C _at_acl              libdsap        attribute
+00000004 C _at_control          libdsap        attribute
+00000004 C _at_dsa_control      libdsap        attribute
+00000004 C _at_schema           libdsap        attribute
+00000004 C _at_applctx          libdsap        attribute
+00000004 C _at_edbinfo          libdsap        attribute
+00000004 C _at_masterdsa        libdsap        attribute
+00000004 C _at_slavedsa         libdsap        attribute
+00000004 C _at_relaydsa         libdsap        attribute
+00000004 C _at_dsaaddress       libdsap        attribute
+00000004 C _at_version          libdsap        attribute
+00000004 C _at_inherit          libdsap        attribute
+00000004 C _at_subord           libdsap        attribute
+00000004 C _at_xref             libdsap        attribute
+00000004 C _at_nssr             libdsap        attribute
+00000004 C _at_listen           libdsap        attribute
+00000004 C _at_searchacl        libdsap        attribute
+00000004 C _at_listacl          libdsap        attribute
+00000004 C _at_authpolicy       libdsap        attribute
+00000004 C _alias_oc            libdsap        attribute
+00000004 C _quipu_dsa_oid       libdsap        attribute
+00000004 C _extern_obj_oid      libdsap        attribute
+00000004 D _qos_indent          libdsap        qos
+00000004 C _as_sntx             libdsap        attr_sntx
+00000004 C _bl_tree_top         libdsap        photo_dec
+00000004 C _wt_tree_top         libdsap        photo_dec
+00000004 C _two_tree_top        libdsap        photo_dec
+00000004 C _position            libdsap        photo_dec
+00000004 C _bitmap              libdsap        photo_dec
+00000004 D _built               libdsap        photo_build
+00000004 C _PIC_LINESIZE        libdsap        photo_util
+00000004 C _STOP                libdsap        photo_util
+00000004 C _NUMLINES            libdsap        photo_util
+00000004 D _sacl_sntx           libdsap        searchacl
+00000004 D _lacl_sntx           libdsap        searchacl
+00000014 D _selector_rank       libdsap        searchacl
+00000004 C _authp_sntx          libdsap        authpolicy
+00000004 D _commonversion       libdsap        commonvrsn
+00000004 D _x500_da_pcdl        libdsap        dsapcontexts
+00000004 D _x500_ds_pcdl        libdsap        dsapcontexts
+00000004 D _quipu_ds_pcdl       libdsap        dsapcontexts
+00000004 D _internet_ds_pcdl    libdsap        dsapcontexts
+00000004 C _acse_pci            libdsap        dsapcontexts
+00000004 C _x500_da_as          libdsap        dsapcontexts
+00000004 C _x500_ds_as          libdsap        dsapcontexts
+00000004 C _quipu_ds_as         libdsap        dsapcontexts
+00000004 C _internet_ds_as      libdsap        dsapcontexts
+00000004 C _x500_da_ac          libdsap        dsapcontexts
+00000004 C _x500_ds_ac          libdsap        dsapcontexts
+00000004 C _quipu_ds_ac         libdsap        dsapcontexts
+00000004 C _internet_ds_ac      libdsap        dsapcontexts
+000000a4 C _x500_da_pcdl_s      libdsap        dsapcontexts
+000000a4 C _x500_ds_pcdl_s      libdsap        dsapcontexts
+000000a4 C _quipu_ds_pcdl_s     libdsap        dsapcontexts
+000000a4 C _internet_ds_pcdl_s  libdsap        dsapcontexts
+00000008 D _restart_fn          libdsap        dsapwait
+00000330 C _dsa_bound           libdsap        dapbind
+00000004 D _abort_vector        libdsap        plog
+00000004 D _netversion          libdsap        netvrsn
+00000030 D _fclass_pairs        libftam        ftamprovider
+00000050 D _funit_pairs         libftam        ftamprovider
+00000020 D _fattr_pairs         libftam        ftamprovider
+00000098 D _fname_pairs         libftam        ftamprovider
+00000030 D _fmode_pairs         libftam        ftamprovider
+00000048 D _frequested_pairs    libftam        ftamprovider
+00000060 D _fpermitted_pairs    libftam        ftamprovider
+00000020 D __ftam_log           libftam        ftamtrace
+00000004 D _ftam_log            libftam        ftamtrace
+00000028 D _fconctl_pairs       libftam        ftamconctl
+00000004 D __ZptrtabCONT        libftam        CONT_tables
+00000024 D __ZCONT_mod          libftam        CONT_tables
+00000058 D __ZptrtabFADU        libftam        FADU_tables
+00000024 D __ZFADU_mod          libftam        FADU_tables
+00000420 D __ZptrtabFTAM        libftam        FTAM_tables
+00000024 D __ZFTAM_mod          libftam        FTAM_tables
+00000004 D _ftamversion         libftam        ftamvrsn
diff -u --recursive --new-file isode-8.0/others/quipu/image/Makefile isode-8.0-linux/others/quipu/image/Makefile
--- isode-8.0/others/quipu/image/Makefile	Tue Jun 16 13:43:25 1992
+++ isode-8.0-linux/others/quipu/image/Makefile	Fri Aug 20 14:36:07 1993
@@ -70,7 +70,7 @@
 xface:		xface.o imagesbr.o \
 			$(TOPDIR)libisode.a $(TOPDIR)libdsap.a
 		$(LDCC) $(LDFLAGS) -o $@ xface.o imagesbr.o \
-			$(LIBDSAP) $(LIBISODE) $(LSOCKET) -lX11 $(LIBGDBM)
+			$(LIBDSAP) $(LIBISODE) $(LSOCKET) -L/usr/X386/lib -lX11 $(LIBGDBM)
 
 l-xface:;	$(LINT) $(LFLAGS) xface.c imagesbr.c $(LLIBS) \
 			| grep -v "warning: possible pointer alignment problem"
@@ -95,7 +95,7 @@
 xwho:		xwho.o imagesbr.o \
 			$(TOPDIR)libisode.a $(TOPDIR)libdsap.a
 		$(LDCC) $(LDFLAGS) -o $@ xwho.o imagesbr.o \
-			$(LIBDSAP) $(LIBISODE) $(LSOCKET) -lX11 $(LIBGDBM)
+			$(LIBDSAP) $(LIBISODE) $(LSOCKET) -L/usr/X386/lib -lX11 $(LIBGDBM)
 
 l-xwho:;	$(LINT) $(LFLAGS) xwho.c imagesbr.c $(LLIBS) \
 			| grep -v "warning: possible pointer alignment problem"
diff -u --recursive --new-file isode-8.0/others/quipu/photo/Makefile isode-8.0-linux/others/quipu/photo/Makefile
--- isode-8.0/others/quipu/photo/Makefile	Tue Jun 16 13:43:36 1992
+++ isode-8.0-linux/others/quipu/photo/Makefile	Fri Aug 20 14:04:10 1993
@@ -27,7 +27,7 @@
 
 # Select you display type(s)...
 # should really go in config/CONFIG.make
-DISPLAY = ttyphoto fax2ps
+DISPLAY = ttyphoto fax2ps Xphoto xfax hexphoto jpeg
 # DISPLAY = sunphoto Xphoto xfax ttyphoto hexphoto t4014 fax2ps jpeg
 
 # UNIX path for the xv binary
@@ -62,11 +62,11 @@
 
 Xphoto: $(TOPDIR)libdsap.a d_main.o winx.o
 	$(LDCC) $(LDFLAGS) -o Xphoto \
-		d_main.o winx.o -lX11 $(LIBDSAP) $(LIBISODE) $(LSOCKET)
+		d_main.o winx.o -L/usr/X386/lib -lX11 $(LIBDSAP) $(LIBISODE) $(LSOCKET)
 
 xfax: $(TOPDIR)libdsap.a d_main.o faxx.o
 	$(LDCC) $(LDFLAGS) -o xfax \
-		d_main.o faxx.o -lX11 $(LIBDSAP) $(LIBISODE) $(LSOCKET)
+		d_main.o faxx.o -L/usr/X386/lib -lX11 $(LIBDSAP) $(LIBISODE) $(LSOCKET)
 
 fax2ps: $(TOPDIR)libdsap.a d_main.o ps.o
 	$(LDCC) $(LDFLAGS) -o fax2ps \
@@ -98,7 +98,8 @@
 PBMSRC  =	/usr/src/pbmplus/
 PBMDIR	=	$(PBMSRC)pbm/
 PBMINC	=	-I$(PBMSRC) -I$(PBMDIR)
-LIBPBM	=	$(PBMDIR)libpbm.a
+#LIBPBM	=	$(PBMDIR)libpbm.a
+LIBPBM	=	/usr/local/lib/libpbm.a
 
 pbm:		faxtopbm pbmtofax
 
@@ -107,14 +108,14 @@
 			$(LIBDSAP) $(LIBPBM) $(LIBISODE) $(LSOCKET)
 
 faxtopbm.o:	faxtopbm.c
-		$(CC) $(CFLAGS) $(PBMINC) -c faxtopbm.c
+		$(CC) $(XFLAGS) $(CFLAGS) $(PBMINC) -c faxtopbm.c
 
 pbmtofax:	pbmtofax.o encode.o code_word.o $(TOPDIR)libdsap.a $(LIBPBM)
 		$(LDCC) $(LDFLAGS) -o $@ pbmtofax.o encode.o code_word.o \
 			$(LIBDSAP) $(LIBPBM) $(LIBISODE) $(LSOCKET)
 
 pbmtofax.o:	pbmtofax.c
-		$(CC) $(CFLAGS) $(PBMINC) -c pbmtofax.c
+		$(CC) $(XFLAGS) $(CFLAGS) $(PBMINC) -c pbmtofax.c
 
 
 #####################################################################
diff -u --recursive --new-file isode-8.0/others/quipu/photo/pbmtofax.c isode-8.0-linux/others/quipu/photo/pbmtofax.c
--- isode-8.0/others/quipu/photo/pbmtofax.c	Tue Jun 16 13:43:41 1992
+++ isode-8.0-linux/others/quipu/photo/pbmtofax.c	Wed Jan  5 11:15:53 1994
@@ -28,7 +28,7 @@
 #include <stdio.h>
 #include "quipu/photo.h"
 #include "pbm.h"
-#include "general.h"
+/*#include "general.h"*/
 
 /*    DATA */
 
diff -u --recursive --new-file isode-8.0/others/quipu/tools/dsaconfig/dsaconfig.c isode-8.0-linux/others/quipu/tools/dsaconfig/dsaconfig.c
--- isode-8.0/others/quipu/tools/dsaconfig/dsaconfig.c	Tue Jun 16 13:43:58 1992
+++ isode-8.0-linux/others/quipu/tools/dsaconfig/dsaconfig.c	Wed Jan  5 11:15:54 1994
@@ -1334,6 +1334,7 @@
 
 /*    MISCELLANY */
 
+#ifndef _POSIX_SOURCE
 #ifndef	lint
 static char *strdup (s)
 char   *s;
@@ -1347,4 +1348,5 @@
 
     return p;
 }
+#endif
 #endif
diff -u --recursive --new-file isode-8.0/others/quipu/tools/dsaconfig/usconfig.c isode-8.0-linux/others/quipu/tools/dsaconfig/usconfig.c
--- isode-8.0/others/quipu/tools/dsaconfig/usconfig.c	Tue Jun 16 13:44:00 1992
+++ isode-8.0-linux/others/quipu/tools/dsaconfig/usconfig.c	Wed Jan  5 11:15:54 1994
@@ -32,6 +32,9 @@
 #include <sys/file.h>
 #include <pwd.h>
 #include <grp.h>
+#ifdef _POSIX_SOURCE
+#include <unistd.h>
+#endif
 
 #include "general.h"
 #include "manifest.h"
diff -u --recursive --new-file isode-8.0/others/quipu/uips/de/config.h isode-8.0-linux/others/quipu/uips/de/config.h
--- isode-8.0/others/quipu/uips/de/config.h	Tue Jun 16 13:46:07 1992
+++ isode-8.0-linux/others/quipu/uips/de/config.h	Tue Aug 31 15:14:25 1993
@@ -24,6 +24,6 @@
 #ifndef _deconfig_h
 #define _deconfig_h
 
-#define PAGER "/usr/5bin/pg -e -n -p \"RETURN for next screen; q to quit\""
+#define PAGER "/usr/bin/less"
 
 #endif _deconfig_h
diff -u --recursive --new-file isode-8.0/others/quipu/uips/de/rawinput.c isode-8.0-linux/others/quipu/uips/de/rawinput.c
--- isode-8.0/others/quipu/uips/de/rawinput.c	Tue Jun 16 13:46:33 1992
+++ isode-8.0-linux/others/quipu/uips/de/rawinput.c	Wed Jan  5 11:15:57 1994
@@ -26,7 +26,11 @@
 
 
 #include <stdio.h>
+#ifdef __linux__
+#include <termios.h>
+#else
 #include <sys/termio.h>
+#endif
 
 static short savemode;
 static unsigned char savemin;
diff -u --recursive --new-file isode-8.0/others/quipu/uips/dish/socket.c isode-8.0-linux/others/quipu/uips/dish/socket.c
--- isode-8.0/others/quipu/uips/dish/socket.c	Tue Jun 16 13:44:26 1992
+++ isode-8.0-linux/others/quipu/uips/dish/socket.c	Wed Jan  5 11:15:54 1994
@@ -69,12 +69,20 @@
 		else
 		    (void) sprintf (buffer, "127.0.0.1 %d", portno);
 
+#ifdef _POSIX_SOURCE
+		(void) setenv ("DISHPROC", ptr = buffer, 1);
+#else
 		(void) setenv ("DISHPROC", ptr = buffer);
+#endif
         }
 
         if (pid !=0 || (prnt = getenv ("DISHPARENT")) == NULLCP) {
 		(void) sprintf (parent, "%d", myppid);
+#ifdef _POSIX_SOURCE
+		(void) setenv ("DISHPARENT", prnt = parent, 1);
+#else
 		(void) setenv ("DISHPARENT", prnt = parent);
+#endif
 	}
 
 
diff -u --recursive --new-file isode-8.0/others/quipu/uips/fred/Makefile isode-8.0-linux/others/quipu/uips/fred/Makefile
--- isode-8.0/others/quipu/uips/fred/Makefile	Tue Jun 16 13:44:31 1992
+++ isode-8.0-linux/others/quipu/uips/fred/Makefile	Wed Sep  1 10:26:42 1993
@@ -82,6 +82,7 @@
 		-@echo ""
 
 fred:		xfred
+		:
 
 xfred:		fred.o dispatch.o miscellany.o pipe.o socket.o whois.o
 		$(LDCC) $(LDFLAGS) -o $@ fred.o dispatch.o miscellany.o \
@@ -156,6 +157,7 @@
 		-@echo ""
 
 fredsh:		xfredsh
+		:
 
 xfredsh:	fredsh.sh
 		cp fredsh.sh $@
@@ -193,6 +195,7 @@
 		-@echo ""
 
 dad:		xdad
+		:
 
 xdad:		dad.o socket.o
 		$(LDCC) $(LDFLAGS) -o $@ dad.o socket.o $(LIBES) $(LSOCKET)
@@ -215,6 +218,7 @@
 		-@echo ""
 
 whitepages:	xwhitepages
+		:
 
 xwhitepages:	whitepages.sh
 		cp whitepages.sh $@
diff -u --recursive --new-file isode-8.0/others/quipu/uips/manage/Makefile isode-8.0-linux/others/quipu/uips/manage/Makefile
--- isode-8.0/others/quipu/uips/manage/Makefile	Tue Jun 16 13:44:45 1992
+++ isode-8.0-linux/others/quipu/uips/manage/Makefile	Tue Aug 31 17:08:55 1993
@@ -64,6 +64,7 @@
 		-@echo ""
 
 dish:		xdish
+		:
 
 xdish:		dish.o libmanage.a
 		$(LDCC) $(LDFLAGS) -o $@ dish.o $(LIBES) 
diff -u --recursive --new-file isode-8.0/others/quipu/uips/pod/Makefile isode-8.0-linux/others/quipu/uips/pod/Makefile
--- isode-8.0/others/quipu/uips/pod/Makefile	Tue Jun 16 13:44:54 1992
+++ isode-8.0-linux/others/quipu/uips/pod/Makefile	Fri Aug 27 16:38:28 1993
@@ -10,7 +10,7 @@
 ###############################################################################
 
 #X app-defaults directory.
-APPDEFDIR =	/usr/lib/X11/app-defaults
+APPDEFDIR =	/usr/X386/lib/X11/app-defaults
 
 #yacc flags
 YFLAGS  =	-d
@@ -24,7 +24,7 @@
 
 ISOLIBS =	$(TOPDIR)libdsap.a $(TOPDIR)libisode.a 
 
-XLIBS   =	-lXaw -lXmu -lXt -lX11 -lXext
+XLIBS   =	-L/usr/X386/lib -lXaw -lXmu -lXt -lX11 -lXext
 
 LIBES   =       $(ISOLIBS) $(XLIBS)
 LLIBS   =       $(TOPDIR)llib-ldsap $(TOPDIR)llib-lisode
diff -u --recursive --new-file isode-8.0/others/quipu/uips/pod/Pod.ad isode-8.0-linux/others/quipu/uips/pod/Pod.ad
--- isode-8.0/others/quipu/uips/pod/Pod.ad	Tue Jun 16 13:44:55 1992
+++ isode-8.0-linux/others/quipu/uips/pod/Pod.ad	Wed Sep  1 11:54:46 1993
@@ -1,19 +1,19 @@
 /* $Header: /xtel/isode/isode/others/quipu/uips/pod/RCS/Pod.ad,v 9.0 1992/06/16 12:44:54 isode Rel $ */
 
-Pod*PosTitle.font:		-*-helvetica-*-*-*-*-11-*
-Pod*readTitle.font:		-*-helvetica-*-*-*-*-11-*
-Pod*listTitle.font:		-*-helvetica-*-*-*-*-11-*
-Pod*HistoryTitle.font:		-*-helvetica-*-*-*-*-11-*
-Pod*MenuButton*font:		-*-helvetica-*-r-*-*-11-*
+Pod*PosTitle.font:		-*-helvetica-*-*-*-*-10-*
+Pod*readTitle.font:		-*-helvetica-*-*-*-*-10-*
+Pod*listTitle.font:		-*-helvetica-*-*-*-*-10-*
+Pod*HistoryTitle.font:		-*-helvetica-*-*-*-*-10-*
+Pod*MenuButton*font:		-*-helvetica-*-r-*-*-10-*
 Pod*standby*font:		-*-helvetica-bold-r-*-*-14-*
 Pod*error_popup*font:		-*-helvetica-bold-r-*-*-14-*
-Pod*popup_help_form*font:	-*-helvetica-medium-r-*-*-11-*
+Pod*popup_help_form*font:	-*-helvetica-medium-r-*-*-10-*
 Pod*About Pod*font:		-*-helvetica-bold-r-*-*-14-*
 Pod*SearchVal*font:		-adobe-helvetica-medium-r-*-*-12-*
 Pod*SearchValLabel.font:	-adobe-helvetica-medium-r-*-*-12-*
 Pod*TypeButton.font:		-adobe-helvetica-bold-r-*-*-12-*
 Pod*menu*font:			-adobe-helvetica-bold-r-*-*-12-*
-Pod*font:			-*-helvetica-medium-r-*-*-11-*
+Pod*font:			-*-helvetica-medium-r-*-*-10-*
 
 #ifdef COLOR
 
diff -u --recursive --new-file isode-8.0/pepsy/Makefile isode-8.0-linux/pepsy/Makefile
--- isode-8.0/pepsy/Makefile	Tue Jun 16 13:24:04 1992
+++ isode-8.0-linux/pepsy/Makefile	Wed Aug 25 14:28:32 1993
@@ -81,6 +81,7 @@
 		-@echo ""
 
 pepsy:		xpepsy
+		:
 
 xpepsy:		pepsyvrsn.o $(PEPSYLIBES)
 		$(LDCC) $(LDFLAGS) -o $@ $(PEPSY-O) \
@@ -142,6 +143,18 @@
 ################################################################
 
 inst-libpepsy:	$(LIBDIR)libpepsy.a inst-headers
+
+zap-pepsy:
+		-rm -f $(LIBFILES) libpepsy.a
+
+linux-lib:	zap-pepsy ../jump/libpepsy.a
+
+../jump/libpepsy.a:	libpepsy
+		-rm -f $@
+		cp libpepsy.a $@
+		@$(UTILDIR)make-lib.sh $(SYSTEM) $@ -ranlib
+		-@ls -gls $@
+		-@echo ""
 
 libpepsy:	libpepsy.a true
 		-@rm -f $(TOPDIR)h/UNIV*.h
diff -u --recursive --new-file isode-8.0/pepy/Makefile isode-8.0-linux/pepy/Makefile
--- isode-8.0/pepy/Makefile	Tue Jun 16 13:25:02 1992
+++ isode-8.0-linux/pepy/Makefile	Tue Aug 24 11:52:30 1993
@@ -81,6 +81,7 @@
 		-@echo ""
 
 pepy:		xpepy
+		:
 
 xpepy:		pepyvrsn.o $(PEPYLIBES)
 		$(LDCC) $(LDFLAGS) -o $@ pepy.o pepy_do.o pepy_undo.o \
@@ -142,6 +143,7 @@
 		-@echo ""
 
 posy:		xposy
+		:
 
 xposy:		posy.o pepy_misc.o yacc.o pepyvrsn.o $(PEPYLIBES)
 		$(LDCC) $(LDFLAGS) -o $@ posy.o pepy_misc.o yacc.o \
@@ -165,6 +167,18 @@
 HEADERS	=	UNIV.ph UNIV-types.h
 
 inst-libpepy:	$(LIBDIR)libpepy.a inst-headers
+
+zap-pepy:
+		-rm -f $(OFILES) libpepy.a UPEPY-[0-9]*.o VPEPY-[0-9]*.o
+
+linux-lib:	zap-pepy ../jump/libpepy.a
+
+../jump/libpepy.a:	libpepy.a
+		-rm -f $@
+		cp libpepy.a $@
+		@$(UTILDIR)make-lib.sh $(SYSTEM) $@ -ranlib
+		-@ls -gls $@
+		-@echo ""
 
 $(LIBDIR)libpepy.a:	libpepy.a
 		-rm -f $@
diff -u --recursive --new-file isode-8.0/psap/Makefile isode-8.0-linux/psap/Makefile
--- isode-8.0/psap/Makefile	Tue Jun 16 13:25:44 1992
+++ isode-8.0-linux/psap/Makefile	Tue Aug 24 11:53:07 1993
@@ -85,6 +85,18 @@
 
 inst-libpsap:	$(LIBDIR)libpsap.a $(LINTDIR)llib-lpsap
 
+zap-psap:
+		-rm -f $(OFILES) libpsap.a psapvrsn.o
+
+linux-lib:	zap-psap ../jump/libpsap.a
+
+../jump/libpsap.a:	libpsap.a
+		-rm -f $@
+		cp libpsap.a $@
+		@$(UTILDIR)make-lib.sh $(SYSTEM) $@ -ranlib
+		-@ls -gls $@
+		-@echo ""
+
 $(LIBDIR)libpsap.a:	libpsap.a
 		-rm -f $@
 		cp libpsap.a $@
diff -u --recursive --new-file isode-8.0/psap2/Makefile isode-8.0-linux/psap2/Makefile
--- isode-8.0/psap2/Makefile	Tue Jun 16 13:29:43 1992
+++ isode-8.0-linux/psap2/Makefile	Tue Aug 24 11:52:20 1993
@@ -68,6 +68,18 @@
 
 inst-libpsap2:	$(LIBDIR)libpsap2.a $(LINTDIR)llib-lpsap2
 
+zap-psap2:
+		-rm -f $(OFILES) libpsap2.a PS_tables.o psap2vrsn.o
+
+linux-lib:	zap-psap2 ../jump/libpsap2.a
+
+../jump/libpsap2.a:	libpsap2.a
+		-rm -f $@
+		cp libpsap2.a $@
+		@$(UTILDIR)make-lib.sh $(SYSTEM) $@ -ranlib
+		-@ls -gls $@
+		-@echo ""
+
 $(LIBDIR)libpsap2.a:	libpsap2.a
 		-rm -f $@
 		cp libpsap2.a $@
diff -u --recursive --new-file isode-8.0/psap2-lpp/Makefile isode-8.0-linux/psap2-lpp/Makefile
--- isode-8.0/psap2-lpp/Makefile	Tue Jun 16 13:31:58 1992
+++ isode-8.0-linux/psap2-lpp/Makefile	Fri Aug 27 11:04:05 1993
@@ -66,6 +66,18 @@
 
 inst-libpsap2:	$(LIBDIR)libpsap2-lpp.a $(LINTDIR)llib-lpsap2-lpp
 
+zap-psap2-lpp:
+		-rm -f $(OFILES) libpsap2.a PS_tables.o psap2vrsn.o
+
+linux-lib:	zap-psap2-lpp ../jump/libpsap2-lpp.a
+
+../jump/libpsap2-lpp.a:	libpsap2-lpp.a
+		-rm -f $@
+		cp libpsap2-lpp.a $@
+		@$(UTILDIR)make-lib.sh $(SYSTEM) $@ -ranlib
+		-@ls -gls $@
+		-@echo ""
+
 $(LIBDIR)libpsap2-lpp.a:	libpsap2-lpp.a
 		-rm -f $@
 		cp libpsap2-lpp.a $@
